<style>
    #Flvid_media-controls {
        height: 40px;
        padding:4px;
        position:absolute;
        bottom:2%;
        left:1%;
        right:1%;
        margin-right:1px;
        background-color:rgba(230,230,230,0.8);
        opacity:0.9;
        border-radius:15px;
        transition: display 2s;
        -webkit-transition: 2s;
    }
    .Flvid_media-play {
        height:32px;
        width:32px;
        color:rgba(0,0,0,0);
        background-image:url('<?php echo plugins_url( 'img/play.png', __FILE__ ) ?>');
        background-size: cover;
        cursor:pointer;
    }
    .Flvid_media-pause {
        height:32px;
        width:32px;
        color:rgba(0,0,0,0);
        background-image:url('<?php echo plugins_url( 'img/pause.png', __FILE__ ) ?>');
        background-size: cover;
        cursor:pointer;
    }
    .Flvid_media-fullscreen {
        height:32px;
        width:32px;
        color:rgba(0,0,0,0);
        background-image:url('<?php echo plugins_url( 'img/full.png', __FILE__ ) ?>');
        background-size: cover;
        cursor:pointer;
        position:absolute;
        right:4px;
        top:4px;
    }



    .Flvid_media_slider {
        -webkit-appearance: none !important;  
        appearance: none !important;
        width: calc( 100% - 105px ) !important;
        position:absolute !important;
        left:44px !important;
        height: 32px !important; 
        background-color:rgba(0,0,0,0) !important;
        outline: none !important; 
        border:none !important;
        top:4px !important;
    }

    .Flvid_media_slider:focus {
        -webkit-appearance: none !important; 
        appearance: none !important;
        background-color:rgba(0,0,0,0) !important;
        outline: none !important; 
        border:none !important;
    }

    .slidFlvid_media_slider:hover {
        opacity: 1; 
    }

    .Flvid_media_slider::-webkit-slider-thumb {
        -webkit-appearance: none; 
        appearance: none;
        width: 20px; 
        height: 20px; 
        background: #1C8ADB; 
        cursor: pointer; 
        border-radius:10px;
    }

    .Flvid_media_slider::-moz-range-thumb {
        width: 20px; 
        height: 20px; 
        background: #1C8ADB; 
        cursor: pointer; 
        border-radius:10px;
    }

    .Flvid_media_background {
        background: black;
    }
</style>

<div id='Flvid_media-controls'>
	<div id='Flvid_play-pause<?php echo $id; ?>' class='Flvid_media-play' title='Play' onclick='Flvid_PlayPause<?php echo $id; ?>(false);'>Play</div>
    <input type="range" min="0" max="300" value="0" class="Flvid_media_slider" id="Flvid_media_progress<?php echo $id; ?>" oninput="Flvid_media_updateProgressBar<?php echo $id; ?>(this.value)" onchange="Flvid_media_updateProgressBar<?php echo $id; ?>(this.value)">
    <div id='Flvid_fullscreen<?php echo $id; ?>' class='Flvid_media-fullscreen' title='Fullscreen' onclick='Flvid_fullscreen<?php echo $id; ?>();'>Full</div>
</div>


<script>
    var Flvid_mediaPlayer<?php echo $id; ?>;

    Flvid_mediaPlayer<?php echo $id; ?> = document.getElementById('responsive_video<?php echo $id; ?>');
    Flvid_mediaPlayer<?php echo $id; ?>.controls = false;
    Flvid_mediaPlayer<?php echo $id; ?>.addEventListener("click", function(){
        Flvid_PlayPause<?php echo $id; ?>(false);
    });
    Flvid_mediaPlayer<?php echo $id; ?>.addEventListener('timeupdate', function(){
        Flvid_media_updateProgressBar<?php echo $id; ?>(null);
    }, false);
    document.getElementById('Flvid_media_progress<?php echo $id; ?>').value = 0;
    
    function Flvid_PlayPause<?php echo $id; ?>(dontchangebutton) {
        var btn = document.getElementById('Flvid_play-pause<?php echo $id; ?>');
        if (Flvid_mediaPlayer<?php echo $id; ?>.paused || Flvid_mediaPlayer<?php echo $id; ?>.ended) {
            if (dontchangebutton == false) {
                btn.title = 'Pause';
                btn.innerHTML = 'Pause';
                btn.className = 'Flvid_media-pause';
            }
            Flvid_mediaPlayer<?php echo $id; ?>.play();
        }else {
            if (dontchangebutton == false) {
                btn.title = 'Play';
                btn.innerHTML = 'Play';
                btn.className = 'Flvid_media-play';
            }
            Flvid_mediaPlayer<?php echo $id; ?>.pause();
        }
    }

    function Flvid_fullscreen<?php echo $id; ?>() {
        var videoElement = document.getElementById('Flvid_fullscreen_div<?php echo $id; ?>');
        if (!document.mozFullScreen && !document.webkitFullScreen) {
            if (videoElement.mozRequestFullScreen) {
                videoElement.mozRequestFullScreen();
            } else {
                videoElement.webkitRequestFullScreen(Element.ALLOW_KEYBOARD_INPUT);
            }
            document.getElementById('responsive_video<?php echo $id; ?>').style.width = '100%';
            document.getElementById('responsive_video<?php echo $id; ?>').style.height = '100%';
        } else {
            if (document.mozCancelFullScreen) {
                document.mozCancelFullScreen();
            } else {
                document.webkitCancelFullScreen();
            }
        }
    }

    function Flvid_media_updateProgressBar<?php echo $id; ?>(newvalue) {
        if (newvalue == null) {
            var progressBar = document.getElementById('Flvid_media_progress<?php echo $id; ?>');
            var percentage = Math.floor((300 / Flvid_mediaPlayer<?php echo $id; ?>.duration) *
            Flvid_mediaPlayer<?php echo $id; ?>.currentTime);
            progressBar.value = percentage;  
        }else {
            Flvid_mediaPlayer<?php echo $id; ?>.currentTime = (newvalue/300) * Flvid_mediaPlayer<?php echo $id; ?>.duration;
            Flvid_PlayPause<?php echo $id; ?>(true);
            setTimeout(function(){ 
                Flvid_PlayPause<?php echo $id; ?>(true);
            }, 50);
        }
    }
</script>